# spec file for mylivegtk 32/64
# pclinuxos rpm-build 4.8.1
%define with_trans	1

Name: mylivegtk
Version: 1.2.0
Release: %mkrel 4
Group: System/Configuration/Boot and Init
Packager: Tara Rain (RainDancer)
URL: http://www.pclinuxos.com
Summary: Graphical User Interface For MyLiveCD
License: GPL
Source: %name-%version.tar.xz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
#------------------------------------------
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glib2.0-devel
BuildRequires: %{_lib}gtk+2.0_0-devel
BuildRequires: %{_lib}gtk+-x11-2.0_0
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: libpthread-stubs
#------------------------------------------
Requires: mylivecd >= 0.9.8
Requires: gksu
Requires: cdrkit-genisoimage
Requires: coreutils
#------------------------------------------

%description
MyLiveCD is a script that allows you to build a bootable LiveCD/DVD
of your existing installation. This package adds a graphical
interface for selecting some of the more common options.

Please install draklive-install if you plan to remaster your installation
otherwise you will not be able to install it.

%prep
%setup -q

%build
make

%install
rm -fr %buildroot
mkdir -p %buildroot/%{_bindir}
mkdir -p %buildroot/%{_datadir}/applications
mkdir -p %buildroot/%{_datadir}/%{name}/doc/

install -m 0755 %{name} %buildroot/%{_bindir}
install -m 0755 rsc/%{name}.desktop %buildroot/%{_datadir}/applications
install -m 0644 rsc/*.html %buildroot/%{_datadir}/%{name}/doc/

%if %{with_trans}
for MO in po/*; do\
	mkdir -p %buildroot/%{_datadir}/locale/$(basename $MO)/LC_MESSAGES; \
	install -m 0644 $MO %buildroot/%{_datadir}/locale/$(basename $MO)/LC_MESSAGES/%{name}.mo; \
done
%endif

%clean
rm -fr %buildroot

%files 
%defattr(-, root, root)
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/doc
%if %{with_trans}
%{_datadir}/locale/*
%endif

%changelog
* Mon Apr 17 2017 Ken lxgator at gmail.com - 1.2.0-4pclos2017
- Moved html help files out of doc folder

* Thu Feb 04 2016 raindancer@toothfairy.com - 1.2.0-3pclos2016
- Rewrite to support gi18n

* Fri Dec 04 2015 raindancer@toothfairy.com - 1.1-1pclos2016
- Added insert date in filename and elapsed time indicator
- STOP button disabled until image creation starts

* Sat Nov 15 2015 bb <bb> 1.0.0.rc7.1pclos2015
- update

* Fri Nov 13 2015 bb <bb> 1.0.0.rc6.1pclos2015
- update
 
